| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
SampleRejectedStatus Struct Reference

A struct storing the sample rejected status. More...

`#include <SampleRejectedStatus.hpp>`

## Public Attributes

uint32_t | total_count = 0
| Total cumulative count of samples rejected by the DataReader.
uint32_t | total_count_change = 0
| The incremental number of samples rejected since the last time the listener was called or the status was read.
SampleRejectedStatusKind | last_reason = NOT_REJECTED
| Reason for rejecting the last sample rejected.
InstanceHandle_t | last_instance_handle
| Handle to the instance being updated by the last sample that was rejected.

## Detailed Description

A struct storing the sample rejected status.

## Member Data Documentation

## ◆ last_instance_handle

InstanceHandle_t last_instance_handle

Handle to the instance being updated by the last sample that was rejected.

## ◆ last_reason

SampleRejectedStatusKind last_reason = NOT_REJECTED

Reason for rejecting the last sample rejected.

If no samples have been rejected, the reason is the special value NOT_REJECTED.

## ◆ total_count

uint32_t total_count = 0

Total cumulative count of samples rejected by the DataReader.

## ◆ total_count_change

uint32_t total_count_change = 0

The incremental number of samples rejected since the last time the listener was called or the status was read.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/core/status/SampleRejectedStatus.hpp